# Enum Class SyMenuSelected

java.lang.Object
java.lang.Enum<SyMenuSelected>
com.io7m.jsycamore.api.menus.SyMenuSelected

All Implemented Interfaces:
  `Serializable, Comparable<SyMenuSelected>, Constable`

public enum SyMenuSelected extends Enum<SyMenuSelected>
A value indicating whether or not a menu is selected.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MENU_NOT_SELECTED`
  The menu is not selected.
  `MENU_SELECTED`
  The menu is selected.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SyMenuSelected`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SyMenuSelected[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MENU_SELECTED

    public static final SyMenuSelected MENU_SELECTED
    The menu is selected.

  - ### MENU_NOT_SELECTED

    public static final SyMenuSelected MENU_NOT_SELECTED
    The menu is not selected.

- ## Method Details

  - ### values

    public static SyMenuSelected[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SyMenuSelected valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null